org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionDifferentialPrivacy

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelDifferentialPrivacyCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionDifferentialPrivacy

    public class EditorCriterionDifferentialPrivacy
    extends EditorCriterion<ModelDifferentialPrivacyCriterion>

A view on an (e,d)-DP criterion.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionDifferentialPrivacy(org.eclipse.swt.widgets.Composite parent, ModelDifferentialPrivacyCriterion model, Controller controller, Model arxmodel)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionDifferentialPrivacy

    public EditorCriterionDifferentialPrivacy(org.eclipse.swt.widgets.Composite parent,
                                              ModelDifferentialPrivacyCriterion model,
                                              Controller controller,
                                              Model arxmodel)

Creates a new instance.

Parameters:
  `parent` -
  `model` -